#
# This class contains resources used by multiple PE Console applications.
#
class pe_console::common {

  file { '/var/log/pe-console-auth/auth.log':
    ensure => file,
    owner  => 'pe-auth',
    group  => 'puppet-dashboard',
    mode   => '0660',
  }
  file { '/etc/puppetlabs/console-auth/database.yml':
    ensure => file,
    owner  => 'pe-auth',
    group  => 'puppet-dashboard',
    mode   => '0440',
  }
  file { '/etc/puppetlabs/console-auth/config.yml':
    ensure => file,
    owner  => 'pe-auth',
    group  => 'pe-auth',
    mode   => '0600',
  }

}
